## hg-git 0.2.1

=== Makefile ===
PYTHON=python

help:
	@echo 'Commonly used make targets:'
	@echo '  tests        - run all tests in the automatic test suite'

all: tests

tests:
	cd tests && $(PYTHON) run-tests.py --with-hg=`which hg` $(TESTFLAGS)

test-%:
	cd tests && $(PYTHON) run-tests.py --with-hg=`which hg` $(TESTFLAGS) $@
.PHONY: help all local build doc clean install install-bin install-doc \
	install-home install-home-bin install-home-doc dist dist-notests tests \
	update-pot

=== debian/changelog ===
hg-git (0.2.1-1ubuntu0.1) lucid-proposed; urgency=low

  * 000-fix-line-split-error-on-bad-data-from-rebase.diff:
    fix crash when bad data from rebase is in the log (LP: #986279)

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 30 Apr 2012 18:45:32 +0200

hg-git (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).
  * Document usage of bookmarks in README.source (closes: #548215).
  * Drop superfluous ‘XB-Python-Version’ from debian/control.

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 08 Jan 2010 13:29:45 +0100

hg-git (0.1.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-dulwich, as hg-git no longer embeds the Dulwich library
    (closes: #541996, #544272).
  * Drop mercurial-1.3.diff patch, applied upstream.
  * Remove get-orig-source target, no longer needed; add watch file instead.
  * Bump standards version to 3.8.3 (no changes needed).

 -- Jakub Wilk <ubanus@users.sf.net>  Wed, 21 Oct 2009 21:58:02 +0200

hg-git (0+hg20090603-2) unstable; urgency=low

  * Use quilt to manage patches.
  * Fix compatiblity with Mercurial 1.3 (closes: #540989).

 -- Jakub Wilk <ubanus@users.sf.net>  Tue, 11 Aug 2009 09:12:24 +0200

hg-git (0+hg20090603-1) unstable; urgency=low

  * Initial release (closes: #531028).

 -- Jakub Wilk <ubanus@users.sf.net>  Tue, 30 Jun 2009 14:19:10 +0200

=== debian/control ===
Source: hg-git
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jakub Wilk <ubanus@users.sf.net>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.8), python-support (>= 0.90)
Standards-Version: 3.8.3
XS-Python-Version: >= 2.5
Homepage: http://hg-git.github.com/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/hg-git/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/hg-git/trunk/

Package: mercurial-git
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, mercurial (>= 1.1), python-dulwich (>= 0.4)
Description: Git plugin for Mercurial
 Th Hg-Git plugin for Mercurial adds the ability to push and pull to/from
 a Git server repository. This means you can collaborate on Git based
 projects from Mercurial, or use a Git server as a collaboration point
 for a team with developers using both Git and Mercurial.
 .
 The plugin can convert commits/changesets losslessly from one system to
 another, so you can push via a Mercurial repository and another
 Mercurial client can pull it and their changeset node ids will be
 identical - Mercurial data does not get lost in translation.

=== debian/rules ===
#!/usr/bin/make -f

MODULE_DIR = usr/lib/$(shell pyversions -d)/site-packages/hgext/git/

build:

clean:
	dh clean
	find $(CURDIR) -type f -name '*\.py[co]' -delete

install: build
	dh install --until dh_prep
	dh_installdirs $(MODULE_DIR)
	cp -r hggit/*.py debian/mercurial-git/$(MODULE_DIR)/
	dh install --after dh_install

# Build architecture-independent files here.
binary-indep: install
	dh binary-indep

binary-arch:

binary: binary-indep binary-arch

patch unpatch:
	dh_quilt_$(@)

.PHONY: build clean binary-indep binary-arch binary install patch unpatch

# vim:ts=4 sw=4 noet

## hg-git 0.2.3

=== debian/changelog ===
hg-git (0.2.3-1ubuntu0.1) natty-proposed; urgency=low

  * 000-fix-line-split-error-on-bad-data-from-rebase.diff:
    fix crash when bad data from rebase is in the log (LP: #986279)

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 30 Apr 2012 18:40:28 +0200

hg-git (0.2.3-1) unstable; urgency=low

  * New upstream release.
    + Fix compatiblity with Mercurial 1.6 (closes: #588325).
  * Bump standards version to 3.9.0 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 07 Jul 2010 13:51:05 +0200

hg-git (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Bump dependency on dulwich to >= 0.6.
  * Bump standards version to 3.8.4 (no changes needed).
  * Update my e-mail address.
  * Update debian/copryright: toposort.py and a copy of the Dulwich library
    are no longer shipped in the tarball.
  * Remove debian/patches/ directory, as there are currently no patches.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 23 May 2010 15:00:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: vcs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jakub Wilk <ubanus@users.sf.net>
+XSBC-Original-Maintainer: Jakub Wilk <jwilk@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.8), python-support (>= 0.90)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 XS-Python-Version: >= 2.5
 Homepage: http://hg-git.github.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/hg-git/trunk/
@@ -13,7 +13,7 @@
 
 Package: mercurial-git
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, mercurial (>= 1.1), python-dulwich (>= 0.4)
+Depends: ${misc:Depends}, ${python:Depends}, mercurial (>= 1.1), python-dulwich (>= 0.6)
 Description: Git plugin for Mercurial
  Th Hg-Git plugin for Mercurial adds the ability to push and pull to/from
  a Git server repository. This means you can collaborate on Git based

## hg-git 0.2.6

=== Makefile ===
PYTHON=python

help:
	@echo 'Commonly used make targets:'
	@echo '  tests              - run all tests in the automatic test suite'
	@echo '  all-version-tests - run all tests against many hg versions'
	@echo '  tests-%s           - run all tests in the specified hg version'

all: help

tests:
	cd tests && $(PYTHON) run-tests.py --with-hg=`which hg` $(TESTFLAGS)

test-%:
	cd tests && $(PYTHON) run-tests.py --with-hg=`which hg` $(TESTFLAGS) $@

tests-%:
	@echo "Path to crew repo is $(CREW) - set this with CREW= if needed."
	hg -R $(CREW) checkout $$(echo $@ | sed s/tests-//) && \
	(cd $(CREW) ; $(MAKE) clean ) && \
	cd tests && $(PYTHON) $(CREW)/tests/run-tests.py $(TESTFLAGS)

all-version-tests: tests-1.4.3 tests-1.5.4 tests-1.6.2 tests-1.7.2 tests-tip

.PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.2.6-2ubuntu0.1) oneiric-proposed; urgency=low

  * 000-fix-line-split-error-on-bad-data-from-rebase.diff:
    fix crash when bad data from rebase is in the log (LP: #986279)

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 30 Apr 2012 18:37:49 +0200

hg-git (0.2.6-2) unstable; urgency=medium

  * Team upload.
  * Backport two patches from upstream VCS to fix compatiblity with Mercurial
    1.9 (closes: #635500).
  * Convert to dh_python2:
    + Build depend on python (>= 2.6.6-3) instead of python-support.
    + Add ‘--with python2’ to dh call in debian/rules.
    + Rename XS-Python-Version to X-Python-Version.
    + Bump minimum required version of mercurial to 1.9.1-1, which is the
      first version using dh_python2.
  * Add build-arch and build-indep targets to debian/rules.
  * Bump standards version to 3.9.2 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 09 Aug 2011 17:09:34 +0200

hg-git (0.2.6-1) unstable; urgency=low

  * New upstream release.
  * Upstream fixed compatibility with Mercurial 1.8 (closes: #617892).

 -- Qijiang Fan <fqj1994@gmail.com>  Sun, 27 Mar 2011 16:43:37 +0800

hg-git (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Maintainer changed to Qijiang Fan (closes: #589961).
  * Copyright has been updated.
  * NEWS has been deleted.

 -- Qijiang Fan <fqj1994@gmail.com>  Sun, 08 Feb 2011 10:30:41 +0800

hg-git (0.2.4-1) experimental; urgency=low

  * New upstream release.
  * Fix a typo in package description.
  * Bump standards version to 3.9.1 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Fri, 03 Sep 2010 12:56:04 +0200

=== debian/control ===
Source: hg-git
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Qijiang Fan <fqj1994@gmail.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.8), python (>= 2.6.6-3~)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://hg-git.github.com/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/hg-git/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/hg-git/trunk/

Package: mercurial-git
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, mercurial (>= 1.9.1-1~), python-dulwich (>= 0.6)
Description: Git plugin for Mercurial
 The Hg-Git plugin for Mercurial adds the ability to push and pull to/from
 a Git server repository. This means you can collaborate on Git based
 projects from Mercurial, or use a Git server as a collaboration point
 for a team with developers using both Git and Mercurial.
 .
 The plugin can convert commits/changesets losslessly from one system to
 another, so you can push via a Mercurial repository and another
 Mercurial client can pull it and their changeset node ids will be
 identical - Mercurial data does not get lost in translation.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/schacon/hg-git .*/([0-9.]+)[.]tar[.]gz

## hg-git 0.3.1

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	(cd $(CREW) ; $(MAKE) clean ) && \
 	cd tests && $(PYTHON) $(CREW)/tests/run-tests.py $(TESTFLAGS)
 
-all-version-tests: tests-1.4.3 tests-1.5.4 tests-1.6.2 tests-1.7.2 tests-tip
+all-version-tests: tests-1.4.3 tests-1.5.4 tests-1.6.2 tests-1.7.2 \
+                   tests-1.9.2 tests-tip
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.3.1-1ubuntu0.1) precise-proposed; urgency=low

  * 000-fix-line-split-error-on-bad-data-from-rebase.diff:
    fix crash when bad data from rebase is in the log (LP: #986279)

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 30 Apr 2012 18:18:12 +0200

hg-git (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Patches taken from upstream are dropped.
  * Bump minimum required version of python-dulwich to 0.8.
  * New release fixes the crash with Mercurial 1.9 (closes:645037). 

 -- Qijiang Fan <fqj1994@gmail.com>  Mon, 17 Oct 2011 21:32:57 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: mercurial-git
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, mercurial (>= 1.9.1-1~), python-dulwich (>= 0.6)
+Depends: ${misc:Depends}, ${python:Depends}, mercurial (>= 1.9.1-1~), python-dulwich (>= 0.8)
 Description: Git plugin for Mercurial
  The Hg-Git plugin for Mercurial adds the ability to push and pull to/from
  a Git server repository. This means you can collaborate on Git based

## hg-git 0.3.2

=== debian/changelog ===
hg-git (0.3.2-2) unstable; urgency=low

  * Backport a patch from upstream to handle incorrect 
    hg metadata gracefully (closes: 636879).

 -- Qijiang Fan <fqj1994@gmail.com>  Wed, 25 Apr 2012 23:41:25 +0800

hg-git (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch updated.
  * Bump copyright format uri to
    http://www.debian.org/doc/packaging-manuals/copyright-format/1.0.
  * Bump standards version to 3.9.3.

 -- Qijiang Fan <fqj1994@gmail.com>  Fri, 20 Apr 2012 16:46:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: hg-git
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Qijiang Fan <fqj1994@gmail.com>
+Maintainer: Qijiang Fan <fqj1994@gmail.com>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.8), python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://hg-git.github.com/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/hg-git/trunk/

## hg-git 0.3.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 help:
 	@echo 'Commonly used make targets:'
 	@echo '  tests              - run all tests in the automatic test suite'
-	@echo '  all-version-tests - run all tests against many hg versions'
+	@echo '  all-version-tests  - run all tests against many hg versions'
 	@echo '  tests-%s           - run all tests in the specified hg version'
 
 all: help
@@ -20,7 +20,8 @@
 	(cd $(CREW) ; $(MAKE) clean ) && \
 	cd tests && $(PYTHON) $(CREW)/tests/run-tests.py $(TESTFLAGS)
 
-all-version-tests: tests-1.4.3 tests-1.5.4 tests-1.6.2 tests-1.7.2 \
-                   tests-1.9.2 tests-tip
+all-version-tests: tests-1.5.4 tests-1.6.4 tests-1.7.5 tests-1.8.4 \
+                   tests-1.9.3 tests-2.0.2 tests-2.1.2 tests-2.2.3 \
+                   tests-2.3 tests-tip
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Patches token from upstream are dropped.
  * Add postinst script.

 -- Qijiang Fan <fqj1994@gmail.com>  Wed, 05 Sep 2012 10:49:40 +0800

## hg-git 0.3.4

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,12 @@
 	(cd $(CREW) ; $(MAKE) clean ) && \
 	cd tests && $(PYTHON) $(CREW)/tests/run-tests.py $(TESTFLAGS)
 
-all-version-tests: tests-1.5.4 tests-1.6.4 tests-1.7.5 tests-1.8.4 \
-                   tests-1.9.3 tests-2.0.2 tests-2.1.2 tests-2.2.3 \
-                   tests-2.3 tests-tip
+# This is intended to be the authoritative list of Hg versions that this
+# extension is tested with.  Versions prior to the version that ships in the
+# latest Ubuntu LTS release (2.0.2 for 12.04 LTS) may be dropped if they
+# interfere with new development.  The latest released minor version should be
+# listed for each major version; earlier minor versions are not needed.
+all-version-tests: tests-1.7.5 tests-1.8.4 tests-1.9.3 tests-2.0.2 \
+                   tests-2.1.2 tests-2.2.3 tests-2.3.1 tests-tip
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.3.4-1) unstable; urgency=low

  * New upstream release. 

 -- Qijiang Fan <fqj1994@gmail.com>  Thu, 15 Nov 2012 17:38:54 +0800

## hg-git 0.4.0

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # latest Ubuntu LTS release (2.0.2 for 12.04 LTS) may be dropped if they
 # interfere with new development.  The latest released minor version should be
 # listed for each major version; earlier minor versions are not needed.
-all-version-tests: tests-1.7.5 tests-1.8.4 tests-1.9.3 tests-2.0.2 \
-                   tests-2.1.2 tests-2.2.3 tests-2.3.1 tests-tip
+all-version-tests: tests-1.9.3 tests-2.0.2 tests-2.1.2 tests-2.2.3 \
+                   tests-2.3.1 tests-tip
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.4.0-2) unstable; urgency=low

  * Team upload.
  * Fix "Incompatible with python-dulwich 0.9.1" by adding patches
    "from_upstream__upgraded_to_use_latest_version_of_dulwich_0.9.1.patch",
    "from_upstream__fix_work_around_https_bugs_launchpad_net_dulwich_bug_1025886.patch"
    and
    "from_upstream__git_handler_fix_bugs_introduced_by_47df57f2bb2b.patch"
    (Closes: #724638)
  * Update standards to 3.9.4 (no change needed)

 -- Javi Merino <vicho@debian.org>  Mon, 14 Oct 2013 23:02:56 +0100

hg-git (0.4.0-1) unstable; urgency=low

    [Jakub Wilk]
    * Use canonical URIs for Vcs-* fields.

    [Qijiang Fan]
    * New upstream release.
    * New release fixes broken `hg out` (closes: #686855).

 -- Qijiang Fan <fqj1994@gmail.com>  Fri, 24 May 2013 16:45:14 +0800

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Qijiang Fan <fqj1994@gmail.com>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.8), python (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Homepage: http://hg-git.github.com/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/hg-git/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/hg-git/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/hg-git/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/hg-git/trunk/
 
 Package: mercurial-git
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, mercurial (>= 1.9.1-1~), python-dulwich (>= 0.8)
+Depends: ${misc:Depends}, ${python:Depends}, mercurial (>= 1.9.1-1~), python-dulwich (>= 0.9.1)
 Description: Git plugin for Mercurial
  The Hg-Git plugin for Mercurial adds the ability to push and pull to/from
  a Git server repository. This means you can collaborate on Git based

=== debian/rules ===
#!/usr/bin/make -f

MODULE_DIR = usr/lib/$(shell pyversions -d)/site-packages/hgext/git/

build build-arch build-indep:

clean:
	dh clean
	find $(CURDIR) -type f -name '*\.py[co]' -delete

install: build
	dh install --until dh_prep
	dh_installdirs $(MODULE_DIR)
	cp -r hggit/*.py debian/mercurial-git/$(MODULE_DIR)/
	dh install --after dh_install --with python2

# Build architecture-independent files here.
binary-indep: install
	dh binary-indep

binary-arch:

binary: binary-indep binary-arch

patch unpatch:
	dh_quilt_$(@)

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install patch unpatch

# vim:ts=4 sw=4 noet

## hg-git 0.6.1

=== Makefile ===
--- 
+++ 
@@ -22,10 +22,9 @@
 
 # This is intended to be the authoritative list of Hg versions that this
 # extension is tested with.  Versions prior to the version that ships in the
-# latest Ubuntu LTS release (2.0.2 for 12.04 LTS) may be dropped if they
+# latest Ubuntu LTS release (2.8.2 for 14.04 LTS) may be dropped if they
 # interfere with new development.  The latest released minor version should be
 # listed for each major version; earlier minor versions are not needed.
-all-version-tests: tests-1.9.3 tests-2.0.2 tests-2.1.2 tests-2.2.3 \
-                   tests-2.3.1 tests-tip
+all-version-tests: tests-2.8.2 tests-3.0.1 tests-@
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * Install hg-git help (Closes: #743463).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 08 Oct 2014 13:50:54 +0200

hg-git (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove backported upstream patches.
  * New release fixes crash. (Closes: 758699)

 -- Qijiang Fan <fqj1994@gmail.com>  Thu, 14 Aug 2014 15:41:07 +0800

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 install: build
 	dh install --until dh_prep
 	dh_installdirs $(MODULE_DIR)
-	cp -r hggit/*.py debian/mercurial-git/$(MODULE_DIR)/
+	cp -r hggit/*.py hggit/help debian/mercurial-git/$(MODULE_DIR)/
 	dh install --after dh_install --with python2
 
 # Build architecture-independent files here.

## hg-git 0.8.0

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	cd tests && $(PYTHON) run-tests.py --with-hg=`which hg` $(TESTFLAGS)
 
 test-%:
+	python -m doctest hggit/hg2git.py
 	cd tests && $(PYTHON) run-tests.py --with-hg=`which hg` $(TESTFLAGS) $@
 
 tests-%:
@@ -25,6 +26,6 @@
 # latest Ubuntu LTS release (2.8.2 for 14.04 LTS) may be dropped if they
 # interfere with new development.  The latest released minor version should be
 # listed for each major version; earlier minor versions are not needed.
-all-version-tests: tests-2.8.2 tests-3.0.1 tests-@
+all-version-tests: tests-2.8.2 tests-3.0.1 tests-3.1 tests-3.2.2 tests-@
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * New maintainer (Closes: #780425)
  * Bump standards-version to 3.9.6 (no change needed)
  * Update python-dulwich dependency to 0.9.7 as upstream suggests
  * Upgrade debhelper compat to 9

 -- Javi Merino <vicho@debian.org>  Wed, 13 May 2015 08:51:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: hg-git
 Section: vcs
 Priority: optional
-Maintainer: Qijiang Fan <fqj1994@gmail.com>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.8), python (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders:
+ Javi Merino <vicho@debian.org>
+Build-Depends:
+ debhelper (>= 9),
+ python (>= 2.6.6-3~),
+ dh-python,
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Homepage: http://hg-git.github.com/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/hg-git/trunk/
@@ -12,7 +16,11 @@
 
 Package: mercurial-git
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, mercurial (>= 1.9.1-1~), python-dulwich (>= 0.9.1)
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+ mercurial (>= 1.9.1-1~),
+ python-dulwich (>= 0.9.7)
 Description: Git plugin for Mercurial
  The Hg-Git plugin for Mercurial adds the ability to push and pull to/from
  a Git server repository. This means you can collaborate on Git based

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MODULE_DIR = usr/lib/$(shell pyversions -d)/dist-packages/hgext/git/

%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Not running the test since as of 0.8.0, 2 tests in it fail
	#make tests
endif

# python setup.py install installs it as hggit, whereas mercurial searches for
# it in hgext/git.  Copy it manually.  As mercurial is the only module that
# should be importing this, the lack of egg-info shouldn't cause any problems
override_dh_auto_install:
	mkdir -p debian/mercurial-git/$(MODULE_DIR)
	cp -r hggit/*.py debian/mercurial-git/$(MODULE_DIR)

## hg-git 0.8.1

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,6 @@
 # latest Ubuntu LTS release (2.8.2 for 14.04 LTS) may be dropped if they
 # interfere with new development.  The latest released minor version should be
 # listed for each major version; earlier minor versions are not needed.
-all-version-tests: tests-2.8.2 tests-3.0.1 tests-3.1 tests-3.2.2 tests-@
+all-version-tests: tests-2.8.2 tests-3.0.1 tests-3.1 tests-3.2.2 tests-3.3 tests-3.4 tests-@
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.8.1-2) unstable; urgency=medium

  * Fix "hg help git" fails due to missing help/ directory (Closes: #743463)

 -- Javi Merino <vicho@debian.org>  Sat, 08 Aug 2015 11:03:33 +0100

hg-git (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Fix "AttributeError: 'tuple' object has no attribute 'rfind'"
    by upgrading to a newer version of mercurial-git (Closes: #785367)

 -- Javi Merino <vicho@debian.org>  Tue, 19 May 2015 11:43:00 +0900

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 # should be importing this, the lack of egg-info shouldn't cause any problems
 override_dh_auto_install:
 	mkdir -p debian/mercurial-git/$(MODULE_DIR)
-	cp -r hggit/*.py debian/mercurial-git/$(MODULE_DIR)
+	cp -r hggit/*.py hggit/help debian/mercurial-git/$(MODULE_DIR)

## hg-git 0.8.2

=== debian/changelog ===
hg-git (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches as they are all in 0.8.2
  * Add autopkgtests

 -- Javi Merino <vicho@debian.org>  Sun, 20 Sep 2015 19:02:29 +0100

hg-git (0.8.1-3) unstable; urgency=medium

  * Add 6 patches from upstream to make mercurial-git 0.8.1 work with
    mercurial 3.5-1 (Closes: #794987)
  * Run the testsuite when building the package

 -- Javi Merino <vicho@debian.org>  Sun, 16 Aug 2015 10:32:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,10 @@
  debhelper (>= 9),
  python (>= 2.6.6-3~),
  dh-python,
+ unzip,
+ mercurial,
+ python-dulwich,
+ git,
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Homepage: http://hg-git.github.com/

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# Not running the test since as of 0.8.0, 2 tests in it fail
-	#make tests
+	make tests
 endif
 
 # python setup.py install installs it as hggit, whereas mercurial searches for

=== debian/watch ===
version=3
https://bitbucket.org/durin42/hg-git/downloads /durin42/hg-git/get/([0-9.]+)[.]tar[.]gz

## hg-git 0.8.3

=== debian/changelog ===
hg-git (0.8.3-1) unstable; urgency=medium

  * New upstream release compatible with mercurial 3.6-1 (Closes: #804259)

 -- Javi Merino <vicho@debian.org>  Thu, 19 Nov 2015 08:38:02 +0000

## hg-git 0.8.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 PYTHON=python
+TESTFLAGS ?= $(shell echo $$HGTESTFLAGS)
 
 help:
 	@echo 'Commonly used make targets:'
@@ -26,6 +27,10 @@
 # latest Ubuntu LTS release (2.8.2 for 14.04 LTS) may be dropped if they
 # interfere with new development.  The latest released minor version should be
 # listed for each major version; earlier minor versions are not needed.
-all-version-tests: tests-2.8.2 tests-3.0.1 tests-3.1 tests-3.2.2 tests-3.3 tests-3.4 tests-@
+# Mercurial 3.4 had a core bug that caused a harmless test failure -- 3.4.1
+# fixes that bug.
+
+all-version-tests: tests-2.8.2 tests-3.0.1 tests-3.1 tests-3.2.2 tests-3.3 \
+  tests-3.4.1 tests-3.5.2 tests-3.6.3 tests-3.7 tests-@
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.8.5-2) unstable; urgency=medium

  * Blacklist test-encoding.t during build also

 -- Javi Merino <vicho@debian.org>  Mon, 07 Mar 2016 07:55:22 +0000

hg-git (0.8.5-1) unstable; urgency=medium

  * New upstream version (Closes: #811172)
  * Fix "add explanatory comments in README.Debian for reST markup" by
    clarifying that it uses ReST markup.  Thanks Ben Finney
    <ben+debian@benfinney.id.au> for the patch. (Closes: #805756)
  * Improve autopkgtest to push commits from the mercurial clone to git
  * Use https for Vcs-Browser
  * Update hg-git's homepage
  * Bump standards-version to 3.9.7 (no change needed)
  * Fix mercurial-git autopkg test by redirecting stderr to stdout for
    git clone and git push
  * Blacklist test-encoding in the testsuite's autopkgtest

 -- Javi Merino <vicho@debian.org>  Sun, 06 Mar 2016 14:29:22 +0000

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  mercurial,
  python-dulwich,
  git,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.5
-Homepage: http://hg-git.github.com/
+Homepage: https://hg-git.github.io/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/hg-git/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/hg-git/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/hg-git/trunk/
 
 Package: mercurial-git
 Architecture: all

=== debian/tests/control ===
Tests: testsuite
Depends: @, git, unzip
Restrictions: allow-stderr

Tests: mercurial-git
Depends: @, git

## hg-git 0.8.9

=== Makefile ===
--- 
+++ 
@@ -10,16 +10,17 @@
 all: help
 
 tests:
+	$(PYTHON) -m doctest hggit/*.py contrib/*.py
 	cd tests && $(PYTHON) run-tests.py --with-hg=`which hg` $(TESTFLAGS)
 
 test-%:
-	python -m doctest hggit/hg2git.py
 	cd tests && $(PYTHON) run-tests.py --with-hg=`which hg` $(TESTFLAGS) $@
 
 tests-%:
 	@echo "Path to crew repo is $(CREW) - set this with CREW= if needed."
 	hg -R $(CREW) checkout $$(echo $@ | sed s/tests-//) && \
-	(cd $(CREW) ; $(MAKE) clean ) && \
+	(cd $(CREW) ; $(MAKE) clean local) && \
+	PYTHONPATH=$(CREW) $(PYTHON) -m doctest hggit/*.py contrib/*.py && \
 	cd tests && $(PYTHON) $(CREW)/tests/run-tests.py $(TESTFLAGS)
 
 # This is intended to be the authoritative list of Hg versions that this
@@ -30,7 +31,8 @@
 # Mercurial 3.4 had a core bug that caused a harmless test failure -- 3.4.1
 # fixes that bug.
 
-all-version-tests: tests-2.8.2 tests-3.0.1 tests-3.1 tests-3.2.2 tests-3.3 \
-  tests-3.4.1 tests-3.5.2 tests-3.6.3 tests-3.7 tests-@
+all-version-tests: tests-2.8.2 tests-2.9.2 tests-3.0.2 tests-3.1.2 tests-3.2.4 \
+  tests-3.3.3 tests-3.4.2 tests-3.5.2 tests-3.6.3 tests-3.7.3 tests-3.8.4 \
+  tests-3.9.2 tests-4.0.2 tests-4.1.3 tests-4.2.3 tests-4.3 tests-@
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.8.9-1) unstable; urgency=medium

  * New upstream release (closes: #873145).
    - Drop all patches (applied/obsoleted upstream).
    - Add some new patches to fix test suite.
  * Fix debian/watch.
  * Build-Depend on openssh-client for the tests.
  * Add myself to uploaders.
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 14 Sep 2017 22:36:00 +0200

hg-git (0.8.5-4) unstable; urgency=medium

  * Team upload.
  * Fix test-suite failure with new git, different output from
    git. Closes: #835611

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 Sep 2016 15:13:55 +0100

hg-git (0.8.5-3) unstable; urgency=medium

  * Fix "FTBFS: AttributeError: 'overlaychangelog' object has no attribute
    'changelogrevision'" by adding patches
    from_upstream__overlay_add_changelogrevision.patch and
    from_upstream__Update_test_to_keep_graph_output_stable_across_versions.patch
    (Closes: #823484)
  * Bump standards-version to 3.9.8 (no change needed)

 -- Javi Merino <vicho@debian.org>  Fri, 27 May 2016 15:20:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: vcs
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders:
- Javi Merino <vicho@debian.org>
+Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ dh-python,
+ git,
+ mercurial,
+ openssh-client,
  python (>= 2.6.6-3~),
- dh-python,
+ python-dulwich,
  unzip,
- mercurial,
- python-dulwich,
- git,
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.5
 Homepage: https://hg-git.github.io/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/hg-git/trunk/
@@ -21,10 +21,10 @@
 Package: mercurial-git
 Architecture: all
 Depends:
+ mercurial (>= 1.9.1-1~),
+ python-dulwich (>= 0.9.7),
  ${misc:Depends},
  ${python:Depends},
- mercurial (>= 1.9.1-1~),
- python-dulwich (>= 0.9.7)
 Description: Git plugin for Mercurial
  The Hg-Git plugin for Mercurial adds the ability to push and pull to/from
  a Git server repository. This means you can collaborate on Git based

## hg-git 0.8.11

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,6 @@
 all: help
 
 tests:
-	$(PYTHON) -m doctest hggit/*.py contrib/*.py
 	cd tests && $(PYTHON) run-tests.py --with-hg=`which hg` $(TESTFLAGS)
 
 test-%:
@@ -20,8 +19,7 @@
 	@echo "Path to crew repo is $(CREW) - set this with CREW= if needed."
 	hg -R $(CREW) checkout $$(echo $@ | sed s/tests-//) && \
 	(cd $(CREW) ; $(MAKE) clean local) && \
-	PYTHONPATH=$(CREW) $(PYTHON) -m doctest hggit/*.py contrib/*.py && \
-	cd tests && $(PYTHON) $(CREW)/tests/run-tests.py $(TESTFLAGS)
+	cd tests && $(PYTHON) run-tests.py --with-hg=$(CREW)/hg $(TESTFLAGS)
 
 # This is intended to be the authoritative list of Hg versions that this
 # extension is tested with.  Versions prior to the version that ships in the
@@ -33,6 +31,7 @@
 
 all-version-tests: tests-2.8.2 tests-2.9.2 tests-3.0.2 tests-3.1.2 tests-3.2.4 \
   tests-3.3.3 tests-3.4.2 tests-3.5.2 tests-3.6.3 tests-3.7.3 tests-3.8.4 \
-  tests-3.9.2 tests-4.0.2 tests-4.1.3 tests-4.2.3 tests-4.3 tests-@
+  tests-3.9.2 tests-4.0.2 tests-4.1.3 tests-4.2.3 tests-4.3.3 tests-4.4.2 \
+  tests-4.5 tests-@
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.8.11-1) unstable; urgency=medium

  * New upstream release (closes: #883469, #843635, #844923)
  * Bump Standards-Version to 4.1.3 (no changes).
  * Use https for copyright format URL.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 26 Feb 2018 10:04:12 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
  python (>= 2.6.6-3~),
  python-dulwich,
  unzip,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.5
 Homepage: https://hg-git.github.io/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/hg-git/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/hg-git/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/hg-git.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/hg-git
 
 Package: mercurial-git
 Architecture: all

=== debian/watch ===
version=3
https://bitbucket.org/durin42/hg-git/downloads/?tab=tags /durin42/hg-git/get/([0-9.]+)[.]tar[.]gz

## hg-git 0.8.12

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,6 @@
 all-version-tests: tests-2.8.2 tests-2.9.2 tests-3.0.2 tests-3.1.2 tests-3.2.4 \
   tests-3.3.3 tests-3.4.2 tests-3.5.2 tests-3.6.3 tests-3.7.3 tests-3.8.4 \
   tests-3.9.2 tests-4.0.2 tests-4.1.3 tests-4.2.3 tests-4.3.3 tests-4.4.2 \
-  tests-4.5 tests-@
+  tests-4.5.3 tests-4.6.2 tests-4.7.2 tests-@
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.8.12-1+deb10u1) buster; urgency=medium

  * Team upload.
  * Cherry-pick relaxed output check in test suite (Closes: #933100)

 -- Timo Röhling <roehling@debian.org>  Tue, 22 Jun 2021 09:23:36 +0200

hg-git (0.8.12-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

  [ Graham Inggs ]
  * New upstream release (Closes: #897503, #899317)
  * Fix capitalisation mismatches in tests, thanks Daniel Watkins
    (Closes: #901016)
  * Cherry-pick patches from upstream for compatibility with mercurial 4.8
  * Add versioned {Build-,}Depends on mercurial (>= 4.8~)
  * Add debian/clean to avoid FTBFSx2
  * Add test-incoming.t to debian/hg-git.test_blacklist
  * Use debian/hg-git.test_blacklist during autopkgtest as well
  * Turn debhelper up to 11
  * Bump Standards-Version to 4.3.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 10 Jan 2019 14:26:54 +0000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  dh-python,
  git,
- mercurial,
+ mercurial (>= 4.8~),
  openssh-client,
  python (>= 2.6.6-3~),
  python-dulwich,
  unzip,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.5
+Standards-Version: 4.3.0
 Homepage: https://hg-git.github.io/
 Vcs-Git: https://salsa.debian.org/python-team/applications/hg-git.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/hg-git
@@ -21,7 +20,7 @@
 Package: mercurial-git
 Architecture: all
 Depends:
- mercurial (>= 1.9.1-1~),
+ mercurial (>= 4.8~),
  python-dulwich (>= 0.9.7),
  ${misc:Depends},
  ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	make tests
+	make tests TESTFLAGS="--blacklist $(CURDIR)/debian/hg-git.test_blacklist"
 endif
 
 # python setup.py install installs it as hggit, whereas mercurial searches for

## hg-git 0.9.0

=== Makefile ===
--- 
+++ 
@@ -29,9 +29,11 @@
 # Mercurial 3.4 had a core bug that caused a harmless test failure -- 3.4.1
 # fixes that bug.
 
-all-version-tests: tests-2.8.2 tests-2.9.2 tests-3.0.2 tests-3.1.2 tests-3.2.4 \
-  tests-3.3.3 tests-3.4.2 tests-3.5.2 tests-3.6.3 tests-3.7.3 tests-3.8.4 \
-  tests-3.9.2 tests-4.0.2 tests-4.1.3 tests-4.2.3 tests-4.3.3 tests-4.4.2 \
-  tests-4.5.3 tests-4.6.2 tests-4.7.2 tests-@
+all-version-tests: tests-3.7.3 tests-3.8.4 tests-3.9.2 tests-4.0.2 tests-4.1.3 \
+  tests-4.2.3 tests-4.3.3 tests-4.4.2 tests-4.5.3 tests-4.6.2 tests-4.7.2 \
+  tests-4.8.2 tests-4.9.1 tests-5.0.2 tests-5.1.2 tests-5.2 tests-@
+
+release:
+	$(PYTHON) setup.py sdist
 
 .PHONY: tests all-version-tests

=== debian/changelog ===
hg-git (0.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jelmer Vernooĳ ]
  * Add patch 0003-dulwich-compat.patch: avoid deprecation warning with newer
    versions of Dulwich. Closes: #972793

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 01 Nov 2020 13:40:15 +0000

hg-git (0.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Python 3 support (closes: #936699).
  * Bump debhelper from old 11 to 13.
    + Replace python_distutils buildsystem with pybuild.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 0.2.5-1.
  * Update standards version to 4.5.0, no changes needed.
  * Set Rules-Requires-Root: no.
  * B-D: python3-setuptools.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 13 Aug 2020 20:57:14 +0200

hg-git (0.8.12-1.2) unstable; urgency=medium

  [ Julien Cristau ]
  * Non-maintainer upload.
  * Sync with upstream, for compatibility with mercurial 5.0 to 5.2.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

 -- Julien Cristau <jcristau@debian.org>  Tue, 12 Nov 2019 16:26:14 +0100

hg-git (0.8.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix for compatibility with mercurial 4.9 (closes: #921732).

 -- Julien Cristau <jcristau@debian.org>  Wed, 13 Mar 2019 15:43:48 +0100

=== debian/control ===
Source: hg-git
Section: vcs
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 git,
 python3-mercurial,
 openssh-client,
 python3,
 python3-dulwich (>= 0.20.6),
 python3-setuptools,
 unzip,
Standards-Version: 4.5.0
Homepage: https://hg-git.github.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/hg-git.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/hg-git
Rules-Requires-Root: no

Package: mercurial-git
Architecture: all
Depends:
 python3-mercurial,
 python3-dulwich (>= 0.20.6),
 ${misc:Depends},
 ${python3:Depends},
Description: Git plugin for Mercurial
 The Hg-Git plugin for Mercurial adds the ability to push and pull to/from
 a Git server repository. This means you can collaborate on Git based
 projects from Mercurial, or use a Git server as a collaboration point
 for a team with developers using both Git and Mercurial.
 .
 The plugin can convert commits/changesets losslessly from one system to
 another, so you can push via a Mercurial repository and another
 Mercurial client can pull it and their changeset node ids will be
 identical - Mercurial data does not get lost in translation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	make tests PYTHON=python3 TESTFLAGS="--blacklist $(CURDIR)/debian/hg-git.test_blacklist"

=== debian/watch ===
version=3
https://foss.heptapod.net/mercurial/hg-git/-/tags .*/archive/([0-9.]+)/hg-git-[0-9.]+.tar.bz2

## hg-git 0.10.1

=== debian/changelog ===
hg-git (0.10.1-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 4
  * New upstream version 0.10.1
    - Test suite handles git default branch warning (Closes: #978361)
  * Refresh patches
    - Drop 0001-Set-explicit-merge-messages.patch
    - Drop 0002-Silence-git-pull-warning.patch
    - Drop 0003-dulwich-compat.patch
    - New patch 0001-Make-branch-setup-message-an-optional-output.patch
  * Fix autopkgtest failure due to git default branch warning
  * Bump Standards-Version to 4.5.1
  * Use dh-sequence-python3
  * Install correct README and upstream changelog

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Jun 2021 10:13:56 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	make tests PYTHON=python3 TESTFLAGS="--blacklist $(CURDIR)/debian/hg-git.test_blacklist"

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

## hg-git 0.10.2

=== debian/changelog ===
hg-git (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.2
  * Refresh patches
    - Drop 0001-Make-branch-setup-message-an-optional-output.patch

 -- Timo Röhling <roehling@debian.org>  Fri, 06 Aug 2021 01:41:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  git,
  python3-mercurial,
  openssh-client,
@@ -13,7 +14,7 @@
  python3-dulwich (>= 0.20.6),
  python3-setuptools,
  unzip,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://hg-git.github.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/hg-git.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hg-git

## hg-git 0.10.3

=== debian/changelog ===
hg-git (0.10.3-2) unstable; urgency=medium

  * Team upload.
  * Update test cases for new Git version (Closes: #1001002)
  * Avoid deprecated use of 'which'

 -- Timo Röhling <roehling@debian.org>  Mon, 06 Dec 2021 14:08:08 +0100

hg-git (0.10.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.3
  * Update d/copyright
  * Bump Standards-Version to 4.6.0

 -- Timo Röhling <roehling@debian.org>  Sat, 20 Nov 2021 11:35:46 +0100

## hg-git 0.10.4

=== debian/changelog ===
hg-git (0.10.4-3ubuntu0.22.04.1) jammy; urgency=medium

  * Backport fix to avoid test failures due to the CVE-2022-39253
    mitigation introduced in git. LP: #2002045.

 -- dann frazier <dannf@ubuntu.com>  Thu, 05 Jan 2023 16:59:40 -0700

hg-git (0.10.4-3) unstable; urgency=medium

  * Team upload
  * Fix tests with Mercurial 6.1 (cherry-picked from upstream)

 -- Julien Cristau <jcristau@debian.org>  Sat, 26 Mar 2022 10:12:36 +0100

hg-git (0.10.4-2) unstable; urgency=medium

  * Team upload.
  * Accept new Git output in unit tests (Closes: #1006066)

 -- Timo Röhling <roehling@debian.org>  Tue, 22 Feb 2022 00:06:09 +0100

hg-git (0.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.4
  * Drop Adjust-test-cases-for-new-Git-version.patch (applied upstream)

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Jan 2022 00:46:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hg-git
 Section: vcs
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,7 +15,7 @@
  python3-dulwich (>= 0.20.6),
  python3-setuptools,
  unzip,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://hg-git.github.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/hg-git.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hg-git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	make tests HG=/usr/bin/hg PYTHON=python3 TESTFLAGS="--blacklist $(CURDIR)/debian/hg-git.test_blacklist"

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

=== debian/watch ===
version=4
https://foss.heptapod.net/mercurial/hg-git/-/tags .*/archive/([0-9.]+)/hg-git-[0-9.]+.tar.bz2

## hg-git 1.0.1

=== Makefile ===
PYTHON=python
HG=$(shell which hg)
HGPYTHON=$(shell $(HG) debuginstall -T '{pythonexe}')
TESTFLAGS ?= $(shell echo $$HGTESTFLAGS)

help:
	@echo 'Commonly used make targets:'
	@echo '  tests              - run all tests in the automatic test suite'
	@echo '  all-version-tests  - run all tests against many hg versions'
	@echo '  tests-%s           - run all tests in the specified hg version'

all: help

tests:
	cd tests && $(HGPYTHON) run-tests.py --with-hg=$(HG) $(TESTFLAGS)

test-%:
	@+$(MAKE) tests TESTFLAGS="$(strip $(TESTFLAGS) $@)"

release:
	$(PYTHON) setup.py sdist

.PHONY: help all tests release

=== debian/changelog ===
hg-git (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.1
    - Add support for Mercurial 6.2 (Closes: #1026409)
  * Drop patches which have been merged upstream
    Remaining patches:
    - Fix-API-breakage-in-dulwich-0.21.patch
    - Handle-remote-output-in-test-cases.patch

 -- Timo Röhling <roehling@debian.org>  Mon, 06 Feb 2023 19:57:01 +0100

hg-git (0.10.4-5) unstable; urgency=medium

  * Team upload.
  * Adapt to changed dulwich API for missing objects (Closes: #1029282)
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Fri, 20 Jan 2023 21:54:31 +0100

hg-git (0.10.4-4) unstable; urgency=medium

  * Work around CVE-2022-39253 mitigation (Closes: #1023806)

 -- Timo Röhling <roehling@debian.org>  Fri, 09 Dec 2022 19:30:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hg-git
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,10 +11,10 @@
  python3-mercurial,
  openssh-client,
  python3,
- python3-dulwich (>= 0.20.6),
+ python3-dulwich (>= 0.21),
  python3-setuptools,
  unzip,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://hg-git.github.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/hg-git.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hg-git
@@ -25,7 +24,7 @@
 Architecture: all
 Depends:
  python3-mercurial,
- python3-dulwich (>= 0.20.6),
+ python3-dulwich (>= 0.21),
  ${misc:Depends},
  ${python3:Depends},
 Description: Git plugin for Mercurial

=== debian/tests/control ===
Tests: testsuite
Depends: @, git, unzip, openssh-client
Restrictions: allow-stderr

Tests: mercurial-git
Depends: @, git

## hg-git 1.0.2

=== debian/changelog ===
hg-git (1.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the Uploaders list (closes: #1041174)
  * Compability fix for current mercurial (closes: #1053178)

 -- Julien Cristau <jcristau@debian.org>  Mon, 02 Oct 2023 13:45:13 +0200

hg-git (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2
  * Drop all patches (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Sat, 17 Jun 2023 00:16:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

## hg-git 1.0.3

=== debian/changelog ===
hg-git (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Dec 2023 16:41:42 +0100
